//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include "IEMIO.hpp"
#include "IEMView.hpp"
#include "IEOpenSaveDlg.hpp"
#include "ImageEnIO.hpp"
#include "ImageEnProc.hpp"
#include "ImageEnView.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *Open1;
	TMenuItem *Save1;
	TMenuItem *Exit1;
	TOpenImageEnDialog *OpenImageEnDialog1;
	TSaveImageEnDialog *SaveImageEnDialog1;
	TImageEnMView *ImageEnMView1;
	TImageEnMIO *ImageEnMIO1;
	TPanel *Panel1;
	TMenuItem *N2;
	TImageEnProc *ImageEnProc1;
	TImageEnIO *ImageEnIO1;
	TOpenImageEnDialog *OpenImageEnDialog2;
	TMenuItem *Edit1;
	TMenuItem *Copy1;
	TMenuItem *Paste1;
	TMenuItem *N1;
	TMenuItem *Insert1;
	TMenuItem *Append1;
	TMenuItem *Delete1;
	TMenuItem *N3;
	TMenuItem *Importimage1;
	TMenuItem *Tools1;
	TMenuItem *Effects1;
	TMenuItem *Coloradjust1;
	TMenuItem *N4;
	TMenuItem *SelectTWainsource1;
	TMenuItem *AcquireTWain1;
	TMenuItem *Clear1;
	TGroupBox *GroupBox2;
	TSpeedButton *SpeedButton2;
	TLabel *Label1;
	TEdit *Edit2;
	TUpDown *UpDown1;
	TCheckBox *CheckBox3;
	TGroupBox *GroupBox3;
	TCheckBox *CheckBox1;
	TCheckBox *CheckBox2;
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall Open1Click(TObject *Sender);
	void __fastcall Copy1Click(TObject *Sender);
	void __fastcall Paste1Click(TObject *Sender);
	void __fastcall Insert1Click(TObject *Sender);
	void __fastcall Append1Click(TObject *Sender);
	void __fastcall Delete1Click(TObject *Sender);
	void __fastcall Importimage1Click(TObject *Sender);
	void __fastcall Effects1Click(TObject *Sender);
	void __fastcall Coloradjust1Click(TObject *Sender);
	void __fastcall SelectTWainsource1Click(TObject *Sender);
	void __fastcall AcquireTWain1Click(TObject *Sender);
	void __fastcall Clear1Click(TObject *Sender);
	void __fastcall Edit2Change(TObject *Sender);
	void __fastcall CheckBox3Click(TObject *Sender);
	void __fastcall SpeedButton2Click(TObject *Sender);
	void __fastcall CheckBox1Click(TObject *Sender);
	void __fastcall CheckBox2Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
